export interface SandboxOptions {
    port?: number;
    blockTime?: number;
}
export declare class Sandbox {
    protected _server: any;
    protected options: SandboxOptions;
    static createProvider(options?: SandboxOptions): any;
    static createServer(options?: SandboxOptions): any;
    constructor(options?: SandboxOptions);
    readonly provider: any;
    readonly server: any;
    listen(): Promise<this>;
    close(): Promise<this>;
}
